Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QGraphicsScene.ItemIndexMethod

    java.lang.Object
      java.lang.Enum<QGraphicsScene.ItemIndexMethod>
          com.trolltech.qt.gui.QGraphicsScene.ItemIndexMethod

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGraphicsScene.ItemIndexMethod>

Enclosing class:
  QGraphicsScene

    public static enum QGraphicsScene.ItemIndexMethod

extends java.lang.Enum<QGraphicsScene.ItemIndexMethod>
implements QtEnumerator

This enum describes the indexing algorithms `QGraphicsScene` provides for managing positional information about items on the scene.

See Also:
  `setItemIndexMethod`, `bspTreeDepth`

Enum Constant Summary
`BspTreeIndex` A Binary Space Partitioning tree is applied.
`NoIndex` No index is applied.

Method Summary
`static QGraphicsScene.ItemIndexMethod` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsScene.ItemIndexMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGraphicsScene.ItemIndexMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BspTreeIndex

    public static final QGraphicsScene.ItemIndexMethod BspTreeIndex

  A Binary Space Partitioning tree is applied. All `QGraphicsScene`'s item location algorithms are of an order close to logarithmic complexity, by making use of binary search. Adding, moving and removing items is logarithmic. This approach is best for static scenes (i.e., scenes where most items do not move).

### NoIndex

    public static final QGraphicsScene.ItemIndexMethod NoIndex

  No index is applied. Item location is of linear complexity, as all items on the scene are searched. Adding, moving and removing items, however, is done in constant time. This approach is ideal for dynamic scenes, where many items are added, moved or removed continuously.

Method Detail

### values

    public static final QGraphicsScene.ItemIndexMethod[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGraphicsScene.ItemIndexMethod c : QGraphicsScene.ItemIndexMethod.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGraphicsScene.ItemIndexMethod valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsScene.ItemIndexMethod resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD